spring.application.name=fourcal
server.port=8282
server.session.timeout=-1
server.context-path=/fourcal
app.version=0.0.1
spring.profiles.active=sit

spring.datasource.type=com.alibaba.druid.pool.DruidDataSource
spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
spring.datasource.initialSize=10  
spring.datasource.minIdle=20  
spring.datasource.maxActive=300  
spring.datasource.maxWait=30000  
spring.datasource.timeBetweenEvictionRunsMillis=120000
spring.datasource.minEvictableIdleTimeMillis=120000 
spring.datasource.validationQuery=SELECT 1 FROM DUAL  
spring.datasource.testWhileIdle=true  
spring.datasource.testOnBorrow=false  
spring.datasource.testOnReturn=false  
spring.datasource.poolPreparedStatements=true  
spring.datasource.maxPoolPreparedStatementPerConnectionSize=20 

spring.freemarker.suffix=.ftl
spring.freemarker.cache=false
spring.freemarker.settings.numberFormat=#
spring.freemarker.request-context-attribute=request
spring.freemarker.expose-request-attributes=true
spring.freemarker.expose-session-attributes=true
spring.freemarker.allow-request-override=true
spring.freemarker.allow-session-override=true

multipart.maxFileSize=20Mb
multipart.maxRequestSize=20Mb
spring.http.multipart.maxFileSize=20Mb
spring.http.multipart.maxRequestSize=20Mb

spring.jackson.date-format=yyyy-MM-dd HH:mm:ss
spring.data.rest.page-param-name=page

fourcal.token.api.prefix=fourcalapi
fourcal.token.api.expires=60*60*24
fourcal.token.pc.prefix=fourcalpc
fourcal.token.pc.expires=60*60*24

fourcal.excluded.client.urls=
fourcal.excluded.pc.urls=
#\u6392\u9664\u67D0\u4E9B\u65E5\u5FD7\u7684\u6253\u5370
fourcal.log.excluded.urls=/editor/stencilset


fourcal.slideInterval=1800000


fourcal.fixedprojectmanagedetails=1,\u4EBA\u5DE5\u8D39|1,\u603B\u90E8\u652F\u6491\u4EBA\u529B\u8D39\u7528|2,\u4EBA\u5458\u5DEE\u65C5\u8D39|2,\u4E1A\u52A1\u8D39\u7528|2,\u5546\u52A1\u53CA\u4E13\u9879\u9A8C\u6536\u8D39\u7528|2,\u529E\u516C\u8D39\u7528